%define major 1
%define libname	%mklibname numa %{major}
%define develname	%mklibname numa -d

Summary:	Simple NUMA policy support
Name:		numactl
Version:	2.0.11
Release:	%mkrel 2
License:	LGPLv2/GPLv2
Group:		System/Kernel and hardware
Url:		ftp://oss.sgi.com/www/projects/libnuma/download
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/%{name}-%{version}.tar.gz
ExclusiveArch:	%{ix86} x86_64

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%package -n	%{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries

%description -n	%{libname}
This package contains the dynamic libraries for NUMA policy support.

%package -n	%{develname}
Summary:	Headers and libraries for NUMA policy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	numa-devel = %{version}-%{release}
Provides:	numactl-devel = %{version}-%{release}
Obsoletes:	%mklibname numa -d 1

%description -n	%{develname}
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%prep
%setup -q 

%build
%configure2_5x
make clean
%make CFLAGS="%{optflags} -I." LDFLAGS="%ldflags"

%install
%makeinstall_std prefix=%{buildroot}/usr

rm -f %{buildroot}%{_libdir}/libnuma.la

%files
%doc README CHANGES
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_mandir}/man8/*.8*

%files -n %{libname}
%{_libdir}/libnuma.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libnuma.so
%exclude %{_libdir}/libnuma.a
%exclude %{_libdir}/libnuma.la
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man2/move_pages.2.*
%{_mandir}/man3/numa.3.*


%changelog
* Tue Apr 26 2016 tv <tv> 2.0.11-2.mga6
+ Revision: 1006434
- provides numactl-devel
- do not package static libs

* Sat Dec 26 2015 luigiwalser <luigiwalser> 2.0.11-1.mga6
+ Revision: 915216
- 2.0.11
- call configure script
- fix files list

* Wed Oct 15 2014 umeabot <umeabot> 2.0.9-4.mga5
+ Revision: 745167
- Second Mageia 5 Mass Rebuild

* Tue Aug 12 2014 wally <wally> 2.0.9-3.mga5
+ Revision: 662110
- drop explicit kernel dependency from lib pkg

* Mon Oct 21 2013 umeabot <umeabot> 2.0.9-2.mga4
+ Revision: 541004
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 2.0.9-1.mga4
+ Revision: 494874
- 2.0.9

* Wed Jan 23 2013 fwang <fwang> 2.0.8-3.mga3
+ Revision: 391294
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-2.mga3
+ Revision: 361079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 304796
- new version 2.0.8

  + tv <tv>
    - new release

* Thu Jan 13 2011 tmb <tmb> 2.0.3-4.mga1
+ Revision: 8943
- imported package numactl

